<bugID>1098002<Summary>Use non-modal default browser UI on dev edition</Summary><Description>For a while Gum builds had a nice non-modal notificationbox for the default browser prompt. I dug it, we should get that back. See bug 989947 for all the gory details.

I think we should consider a new scheme like:

* prompt on start, as per usual
* prompt again a while later if the user clicks to ignore the initial prompt</Description></bugID>